Get System dashboard data
const url = 'https://example.com/api/v1/system/dashboard';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/dashboard \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Data returned
object
List of disks
Disk statistics.
object
Percentage of used memory
Total disk space (bytes)
Used disk space (bytes)
Free disk space (bytes)
Load averages (1 / 5 / 15 minutes)
Current CPU usage in percent
object
Percentage of user CPU time
Percentage of system CPU time
Percentage of CPU time used for IO operations
Percentage of CPU time used by interrupts
Percentage of CPU time spent waiting for the hypervisor
Idle CPU time
RAM statistics
object
Percent of used memory
Total memory (bytes)
Unused memory (bytes)
Memory used by applications (bytes)
Memory used for buffers (bytes)
Memory used for cached data (bytes)
Memory that is available for applications (bytes)
Swap statistics
object
Percentage of used swap memory
Total swap memory (bytes)
Available swap memory (bytes)
Used swap memory (bytes)
Examplegenerated
{ "disks": [ { "percent": 1, "total": 1, "used": 1, "free": 1, "device": "example", "mountpoint": "example", "filesystem": "example" } ], "load": [ 1 ], "cpuPercent": { "user": 1, "system": 1, "io": 1, "interrupt": 1, "steal": 1, "idle": 1 }, "memory": { "percent": 1, "total": 1, "free": 1, "used": 1, "buffer": 1, "cache": 1, "available": 1 }, "swap": { "percent": 1, "total": 1, "free": 1, "used": 1 }, "booted": "example"}Validation of input parameters failed
object
List of errors encountered during validation
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
object
String representation of the exception
Examplegenerated
{ "message": "example"}